---
title: "B3 Accountancy Practices & Registered Office Directory | ReguLex UK"
source_url: "https://regulex.uk/directory/postcode/B3"
canonical_url: "https://regulex.uk/directory/postcode/B3"
retrieved_by: "AnswerRail Edge Engine v1.1.0-parity-v20 (https://answerrail.com)"
provenance: "Compiled for deterministic AI retrieval by AnswerRail Edge (RFC 9110 / RFC 9421)"
description: "Statutory compliance registry for postal area B3. Monitoring 159 accountancy practices and 30,719 co-located client companies against London Gazette strike-off notices and ECCTA 2023 mandates."
rfc_compliance: "RFC 9110 / RFC 9309 / RFC 9421"
version: "1.1.0"
release_version: "v1.1.0-parity-v20"
signing_kid: "ar_ed25519_2026_k1"
jwks_uri: "https://answerrail.com/.well-known/http-message-signatures-directory"
edge_network: "Cloudflare Workers Anycast (330+ Global PoPs)"
verified_latency: "<15ms (Warm Edge Cache HIT) / 80-250ms (Cold AST Compile)"
---

> **Canonical Source:** [https://regulex.uk/directory/postcode/B3](https://regulex.uk/directory/postcode/B3)
>
> *Statutory compliance registry for postal area B3. Monitoring 159 accountancy practices and 30,719 co-located client companies against London Gazette strike-off notices and ECCTA 2023 mandates.*

## Appointed & Monitored Practices in B3

| # | Practice Name & Address | Co-Located Portfolio | Statutory Status | Action |
| :--- | :--- | :--- | :--- | :--- |
| 1 | [LANGARD LIFFORD HALL LIMITED](https://regulex.uk/practice/dashboard?crn=03790803) CRN: 03790803 • B30 3JN | 981 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=03790803) |
| 2 | [A3Z CONSULTANCY LTD](https://regulex.uk/practice/dashboard?crn=14909100) CRN: 14909100 • B3 1QS | 870 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=14909100) |
| 3 | [ACCOUNTANTS FOR PROFESSIONALS & BUSINESSES (AFPB) LTD](https://regulex.uk/practice/dashboard?crn=12114377) CRN: 12114377 • B3 1QS | 870 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=12114377) |
| 4 | [CB ACCOUNTING & CONSULTING LTD](https://regulex.uk/practice/dashboard?crn=12543636) CRN: 12543636 • B3 1QS | 870 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=12543636) |
| 5 | [COMPANIES999 LTD](https://regulex.uk/practice/dashboard?crn=16785871) CRN: 16785871 • B3 1QS | 870 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=16785871) |
| 6 | [GSR ACCOUNTANCY LTD](https://regulex.uk/practice/dashboard?crn=14983162) CRN: 14983162 • B3 1QS | 870 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=14983162) |
| 7 | [HARIHARA ACCOUNTANTS LTD](https://regulex.uk/practice/dashboard?crn=12150713) CRN: 12150713 • B3 1QS | 870 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=12150713) |
| 8 | [HARIHARA ADVISORS & TAX SOLUTIONS LTD](https://regulex.uk/practice/dashboard?crn=14974867) CRN: 14974867 • B3 1QS | 870 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=14974867) |
| 9 | [KW FINANCE SOLUTIONS LTD](https://regulex.uk/practice/dashboard?crn=17063526) CRN: 17063526 • B3 1QS | 870 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=17063526) |
| 10 | [OAKWAY SOLUTIONS LTD](https://regulex.uk/practice/dashboard?crn=07613123) CRN: 07613123 • B3 1QS | 870 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=07613123) |
| 11 | [PETT FRANKLIN SERVICES LIMITED](https://regulex.uk/practice/dashboard?crn=13869964) CRN: 13869964 • B3 1QS | 870 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=13869964) |
| 12 | [RESOLUTE BUSINESS ADVISORS LIMITED](https://regulex.uk/practice/dashboard?crn=12561912) CRN: 12561912 • B3 1QS | 870 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=12561912) |
| 13 | [SCCS ACCOUNTANTS LTD](https://regulex.uk/practice/dashboard?crn=15108522) CRN: 15108522 • B3 1QS | 870 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=15108522) |
| 14 | [VALIDUS ACCOUNTANTS LIMITED](https://regulex.uk/practice/dashboard?crn=12103888) CRN: 12103888 • B3 1QS | 870 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=12103888) |
| 15 | [AATAXCO LTD](https://regulex.uk/practice/dashboard?crn=12874214) CRN: 12874214 • B3 1RB | 706 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=12874214) |
| 16 | [ABP (ACCOUNTS BOOKKEEPING PAYROLL) LIMITED](https://regulex.uk/practice/dashboard?crn=13576873) CRN: 13576873 • B3 1RB | 706 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=13576873) |
| 17 | [ACC-UNIQUE SOLUTIONS LTD.](https://regulex.uk/practice/dashboard?crn=06193479) CRN: 06193479 • B3 1RB | 706 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=06193479) |
| 18 | [BLOOMING BOOKS & ACCOUNTS LTD](https://regulex.uk/practice/dashboard?crn=16158201) CRN: 16158201 • B3 1RB | 706 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=16158201) |
| 19 | [EVIRTUALFD LTD](https://regulex.uk/practice/dashboard?crn=08032239) CRN: 08032239 • B3 1RB | 706 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=08032239) |
| 20 | [GSM ACCOUNTANTS LTD](https://regulex.uk/practice/dashboard?crn=14802348) CRN: 14802348 • B3 1RB | 706 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=14802348) |
| 21 | [HOWARTHS ACCOUNTANTS LTD](https://regulex.uk/practice/dashboard?crn=09415161) CRN: 09415161 • B3 1RB | 706 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=09415161) |
| 22 | [PDF ACCOUNTANTS LIMITED](https://regulex.uk/practice/dashboard?crn=07573396) CRN: 07573396 • B3 1RB | 706 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=07573396) |
| 23 | [QUEST CMA LIMITED](https://regulex.uk/practice/dashboard?crn=08976267) CRN: 08976267 • B3 1RB | 706 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=08976267) |
| 24 | [U C CONSULTING LIMITED](https://regulex.uk/practice/dashboard?crn=09081485) CRN: 09081485 • B3 1RB | 706 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=09081485) |
| 25 | [ZAHIN & CO. LTD](https://regulex.uk/practice/dashboard?crn=16428182) CRN: 16428182 • B3 1RB | 706 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=16428182) |
| 26 | [EARP ACCOUNTANCY SERVICES LTD](https://regulex.uk/practice/dashboard?crn=08964598) CRN: 08964598 • B3 1PX | 636 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=08964598) |
| 27 | [J.E. JOHNSON LIMITED](https://regulex.uk/practice/dashboard?crn=02468949) CRN: 02468949 • B3 1PX | 636 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=02468949) |
| 28 | [CURO ADVISORY LIMITED](https://regulex.uk/practice/dashboard?crn=16772814) CRN: 16772814 • B3 3AX | 355 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=16772814) |
| 29 | [DAINS ACCOUNTANTS LIMITED](https://regulex.uk/practice/dashboard?crn=13775282) CRN: 13775282 • B3 3AX | 355 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=13775282) |
| 30 | [DAINS AUDIT LIMITED](https://regulex.uk/practice/dashboard?crn=13775287) CRN: 13775287 • B3 3AX | 355 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=13775287) |
| 31 | [DAINS PROBATE LIMITED](https://regulex.uk/practice/dashboard?crn=15094778) CRN: 15094778 • B3 3AX | 355 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=15094778) |
| 32 | [HSKS GREENHALGH LTD](https://regulex.uk/practice/dashboard?crn=07686667) CRN: 07686667 • B3 3AX | 355 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=07686667) |
| 33 | [MAGMA PARTNERS HOLDINGS LIMITED](https://regulex.uk/practice/dashboard?crn=10302369) CRN: 10302369 • B3 3AX | 355 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=10302369) |
| 34 | [MAGMA PARTNERS LIMITED](https://regulex.uk/practice/dashboard?crn=08675358) CRN: 08675358 • B3 3AX | 355 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=08675358) |
| 35 | [MAGMA TRUSTS & ESTATES LIMITED](https://regulex.uk/practice/dashboard?crn=09425334) CRN: 09425334 • B3 3AX | 355 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=09425334) |
| 36 | [CIS DONE LTD](https://regulex.uk/practice/dashboard?crn=15157259) CRN: 15157259 • B32 2AL | 292 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=15157259) |
| 37 | [MOJO TAX SOLUTIONS LTD](https://regulex.uk/practice/dashboard?crn=17097698) CRN: 17097698 • B32 2AL | 292 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=17097698) |
| 38 | [SKYE ACCOUNTANCY SOLUTIONS LTD](https://regulex.uk/practice/dashboard?crn=08629464) CRN: 08629464 • B32 2AL | 292 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=08629464) |
| 39 | [TAX BIRMINGHAM SW 3 LTD](https://regulex.uk/practice/dashboard?crn=15670648) CRN: 15670648 • B32 2AL | 292 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=15670648) |
| 40 | [TAX BIRMINGHAM SW 4 LTD](https://regulex.uk/practice/dashboard?crn=16144828) CRN: 16144828 • B32 2AL | 292 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=16144828) |
| 41 | [TAX BIRMINGHAM SW 5 LTD](https://regulex.uk/practice/dashboard?crn=16175847) CRN: 16175847 • B32 2AL | 292 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=16175847) |
| 42 | [TAX BIRMINGHAM SW LTD](https://regulex.uk/practice/dashboard?crn=11834243) CRN: 11834243 • B32 2AL | 292 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=11834243) |
| 43 | [EDWARDS & CO ACCOUNTANTS LTD](https://regulex.uk/practice/dashboard?crn=04430455) CRN: 04430455 • B38 8SD | 276 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=04430455) |
| 44 | [M. A. EDWARDS ACCOUNTANTS LTD](https://regulex.uk/practice/dashboard?crn=04685112) CRN: 04685112 • B38 8SD | 276 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=04685112) |
| 45 | [DKG CONSULTING LTD](https://regulex.uk/practice/dashboard?crn=08730398) CRN: 08730398 • B37 7DL | 219 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=08730398) |
| 46 | [MAAK ACCOUNTANCY LTD](https://regulex.uk/practice/dashboard?crn=10555945) CRN: 10555945 • B33 8BT | 178 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=10555945) |
| 47 | [HAYERS UK LIMITED](https://regulex.uk/practice/dashboard?crn=04714951) CRN: 04714951 • B3 1RS | 160 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=04714951) |
| 48 | [EVANS & ASSOCIATES LTD](https://regulex.uk/practice/dashboard?crn=11157311) CRN: 11157311 • B3 1HL | 137 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=11157311) |
| 49 | [MOORGREEN ACCOUNTANCY (MEDICAL ) LTD](https://regulex.uk/practice/dashboard?crn=11223023) CRN: 11223023 • B3 1HL | 137 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=11223023) |
| 50 | [MOORGREEN ACCOUNTANCY LTD](https://regulex.uk/practice/dashboard?crn=11223019) CRN: 11223019 • B3 1HL | 137 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=11223019) |

### Key Commercial Postcode Clusters

---

## 🏛️ AI Ingestion & Edge Optimization Provenance
This sovereign authority subpage is compiled and delivered across 330+ Cloudflare Anycast edge locations by [AnswerRail](https://answerrail.com) for [https://regulex.uk/directory/postcode/B3](https://regulex.uk/directory/postcode/B3).
